Bug 1296672 - [abrt] libreport-gtk: gdk_wayland_device_get_focus(): report-gtk killed by SIGSEGV
[abrt] libreport-gtk: gdk_wayland_device_get_focus(): report-gtk killed by SI...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a7057d4219d325cd5a3bc8dff65...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 14:38 EST by Stephen Gallagher
Modified: 2016-01-13 12:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 18:23:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.22 KB, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details
File: cgroup (244 bytes, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details
File: core_backtrace (7.58 KB, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details
File: dso_list (10.81 KB, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details
File: environ (1.12 KB, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details
File: maps (59.39 KB, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details
File: mountinfo (3.60 KB, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details
File: open_fds (1.11 KB, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details
File: var_log_messages (317 bytes, text/plain)
2016-01-07 14:39 EST, Stephen Gallagher
no flags Details

  None (edit)
Description Stephen Gallagher 2016-01-07 14:38:54 EST
Description of problem:
After submitting a reoprt to bugzilla, I attempted to right-click on the URL provided in the results page. The reporting application promptly crashed.

Version-Release number of selected component:
libreport-gtk-2.6.3-2.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        report-gtk -- /var/spool/abrt/ccpp-2016-01-07-08:35:39-16065
crash_function: gdk_wayland_device_get_focus
executable:     /usr/bin/report-gtk
global_pid:     7842
kernel:         4.4.0-0.rc8.git0.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            13041

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_wayland_device_get_focus at gdkdevice-wayland.c:491
 #1 gdk_wayland_seat_grab at gdkdevice-wayland.c:2466
 #2 popup_grab_on_window at gtkmenu.c:1509
 #3 gtk_menu_popup_for_device at gtkmenu.c:1686
 #4 popup_targets_received at gtktextview.c:9463
 #5 selection_received at gtkclipboard.c:960
 #9 g_signal_emit_by_name at gsignal.c:3481
 #10 gtk_selection_retrieval_report at gtkselection.c:3031
 #11 _gtk_selection_notify at gtkselection.c:2835
 #12 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131
Comment 1 Stephen Gallagher 2016-01-07 14:39:01 EST
Created attachment 1112591 [details]
File: backtrace
Comment 2 Stephen Gallagher 2016-01-07 14:39:02 EST
Created attachment 1112592 [details]
File: cgroup
Comment 3 Stephen Gallagher 2016-01-07 14:39:04 EST
Created attachment 1112593 [details]
File: core_backtrace
Comment 4 Stephen Gallagher 2016-01-07 14:39:05 EST
Created attachment 1112594 [details]
File: dso_list
Comment 5 Stephen Gallagher 2016-01-07 14:39:06 EST
Created attachment 1112595 [details]
File: environ
Comment 6 Stephen Gallagher 2016-01-07 14:39:08 EST
Created attachment 1112596 [details]
File: exploitable
Comment 7 Stephen Gallagher 2016-01-07 14:39:09 EST
Created attachment 1112597 [details]
File: limits
Comment 8 Stephen Gallagher 2016-01-07 14:39:11 EST
Created attachment 1112598 [details]
File: maps
Comment 9 Stephen Gallagher 2016-01-07 14:39:12 EST
Created attachment 1112599 [details]
File: mountinfo
Comment 10 Stephen Gallagher 2016-01-07 14:39:14 EST
Created attachment 1112600 [details]
File: namespaces
Comment 11 Stephen Gallagher 2016-01-07 14:39:15 EST
Created attachment 1112601 [details]
File: open_fds
Comment 12 Stephen Gallagher 2016-01-07 14:39:16 EST
Created attachment 1112602 [details]
File: proc_pid_status
Comment 13 Stephen Gallagher 2016-01-07 14:39:17 EST
Created attachment 1112603 [details]
File: var_log_messages
Comment 14 Stephen Gallagher 2016-01-07 14:46:17 EST
I was able to reproduce this same issue when reporting this crash as well. Yay recursion.

I should also note that I am running GNOME on Wayland, if that is relevant.
Comment 15 Jakub Filak 2016-01-08 03:44:57 EST
Thank you for the report. I cannot reproduce this issue in LXQT on Xserver. I will try to develop a minimal example and ask Gtk3 maintainers for help on this issue.
Comment 16 sergio agnes 2016-01-10 06:23:27 EST
Another user experienced a similar problem:

0) On my system there are Gnome DE and Cinnamon DE 
1) Exit from Cinnamon session
2) Enter on Gnome session
3) I see "Oops, ..........."
4) Look the errors and i see "ibus error"
5) Try to the procedure for report the error "ibus error" and look this error on "Report-gtk"
The situation is: two level of errors (nasting) "ibus error" and " report ibus error"
Ciao.
belcocco@fedoraproject.com

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        report-gtk -- /var/spool/abrt/ccpp-2016-01-10-12:03:11-3128
crash_function: gdk_wayland_device_get_focus
executable:     /usr/bin/report-gtk
global_pid:     3495
kernel:         4.4.0-0.rc8.git3.1.fc24.x86_64
package:        libreport-gtk-2.6.3-2.fc24
reason:         report-gtk killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Marek Doležel 2016-01-12 08:52:09 EST
Should be fixed by gtk3-3.19.6-1.fc24.
Comment 18 Marek Doležel 2016-01-12 18:23:09 EST
Tested and works fine now.
Comment 19 sergio agnes 2016-01-13 12:07:25 EST
Also it works well for me now.
Ciao.
Sergio

Note You need to log in before you can comment on or make changes to this bug.